package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.ServiceItem;

/**
 * 服务字段Mapper接口
 * 
 * @author jy
 * @date 2022-11-29
 */
public interface ServiceItemMapper 
{
    /**
     * 查询服务字段
     * 
     * @param id 服务字段主键
     * @return 服务字段
     */
    public ServiceItem selectServiceItemById(Long id);

    /**
     * 查询服务字段列表
     * 
     * @param serviceItem 服务字段
     * @return 服务字段集合
     */
    public List<ServiceItem> selectServiceItemList(ServiceItem serviceItem);

    /**
     * 新增服务字段
     * 
     * @param serviceItem 服务字段
     * @return 结果
     */
    public int insertServiceItem(ServiceItem serviceItem);

    /**
     * 修改服务字段
     * 
     * @param serviceItem 服务字段
     * @return 结果
     */
    public int updateServiceItem(ServiceItem serviceItem);

    /**
     * 删除服务字段
     * 
     * @param id 服务字段主键
     * @return 结果
     */
    public int deleteServiceItemById(Long id);

    /**
     * 批量删除服务字段
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteServiceItemByIds(Long[] ids);
}
